Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# LocationClient.OnRemoveGeofencesResultListener

com.google.android.gms.location.LocationClient.OnRemoveGeofencesResultListener

## Class Overview

The listener for receiving callbacks when the operation to remove geofences completes.

## Summary

Public Methods
abstract void | onRemoveGeofencesByPendingIntentResult(int statusCode, PendingIntent pendingIntent) Called when the `removeGeofences(PendingIntent, OnRemoveGeofencesResultListener)` operation completes successfully or unsuccessfully.
abstract void | onRemoveGeofencesByRequestIdsResult(int statusCode, String[] geofenceRequestIds) Called when the `removeGeofences(List, OnRemoveGeofencesResultListener)` operation completes successfully or unsuccessfully.

## Public Methods

#### public abstract void onRemoveGeofencesByPendingIntentResult (int statusCode, PendingIntent pendingIntent)

Called when the `removeGeofences(PendingIntent, OnRemoveGeofencesResultListener)` operation completes successfully or unsuccessfully.

##### Parameters

statusCode | the status code of the removeGeofences operation. Possible status code `SUCCESS`, `GEOFENCE_NOT_AVAILABLE` and `ERROR`.
pendingIntent | the PendingIntent provided to the original `removeGeofences(PendingIntent, OnRemoveGeofencesResultListener)` call

#### public abstract void onRemoveGeofencesByRequestIdsResult (int statusCode, String[] geofenceRequestIds)

Called when the `removeGeofences(List, OnRemoveGeofencesResultListener)` operation completes successfully or unsuccessfully.

##### Parameters

statusCode | the status code of the removeGeofences operation. Possible status code `SUCCESS`, `GEOFENCE_NOT_AVAILABLE` and `ERROR`.
geofenceRequestIds | the geofence request IDs provided to the original `removeGeofences(List, OnRemoveGeofencesResultListener)` call